Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.reflect
Class UndeclaredThrowableException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.reflect.UndeclaredThrowableException

All Implemented Interfaces:
  Serializable

public class UndeclaredThrowableException
extends RuntimeException

Thrown by a method invocation on a proxy instance if its invocation handler's `invoke` method throws a checked exception (a `Throwable` that is not assignable to `RuntimeException` or `Error`) that is not assignable to any of the exception types declared in the `throws` clause of the method that was invoked on the proxy instance and dispatched to the invocation handler.

An `UndeclaredThrowableException` instance contains the undeclared checked exception that was thrown by the invocation handler, and it can be retrieved with the `getUndeclaredThrowable()` method. `UndeclaredThrowableException` extends `RuntimeException`, so it is an unchecked exception that wraps a checked exception.

Since:
  JDK1.3
See Also:
  `InvocationHandler`, Serialized Form

Constructor Summary
`UndeclaredThrowableException(Throwable undeclaredThrowable)` Constructs an `UndeclaredThrowableException` with the specifed `Throwable`.
`UndeclaredThrowableException(Throwable undeclaredThrowable, String s)` Constructs an `UndeclaredThrowableException` with the specified `Throwable` and a detail message.

Method Summary
`Throwable` | `getUndeclaredThrowable()` Returns the `Throwable` instance wrapped in this `UndeclaredThrowableException`.
`void` | `printStackTrace()` Prints this `UndeclaredThrowableException` and its backtrace to the standard error stream.
`void` | `printStackTrace(PrintStream ps)` Prints this `UndeclaredThrowableException` and its backtrace to the specified `PrintStream`.
`void` | `printStackTrace(PrintWriter pw)` Prints this `UndeclaredThrowableException` and its backtrace to the specified `PrintWriter`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndeclaredThrowableException

    public UndeclaredThrowableException(Throwable undeclaredThrowable)

  Constructs an `UndeclaredThrowableException` with the specifed `Throwable`.
  Parameters:
    `undeclaredThrowable` - the undeclared checked exception that was thrown

### UndeclaredThrowableException

    public UndeclaredThrowableException(Throwable undeclaredThrowable,
                                        String s)

  Constructs an `UndeclaredThrowableException` with the specified `Throwable` and a detail message.
  Parameters:
    `undeclaredThrowable` - the undeclared checked exception that was thrown
    `s` - the detail message

Method Detail

### getUndeclaredThrowable

    public Throwable getUndeclaredThrowable()

  Returns the `Throwable` instance wrapped in this `UndeclaredThrowableException`.
  Returns:
    the undeclared checked exception that was thrown

### printStackTrace

    public void printStackTrace()

  Prints this `UndeclaredThrowableException` and its backtrace to the standard error stream.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  See Also:
    `System.err`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints this `UndeclaredThrowableException` and its backtrace to the specified `PrintStream`.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Parameters:
    `s` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints this `UndeclaredThrowableException` and its backtrace to the specified `PrintWriter`.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Parameters:
    `s` - `PrintWriter` to use for output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.